/*-------------------------------------------------------
   MONITOR.H -- Telnet Client, Terminal Emulator Program
             EBhE
   Copyright (c) 2002-2005
        Hiroto Shigeta. All rights reserved.
  -------------------------------------------------------*/
#ifndef _MONOTOR_H
#define _MONOTOR_H

void AddAttr(char chAttr);
void ClearAttr(void);
void SaveCaret(void);
void LoadCaret(void);
void ClearMon(void);
void ClearMonBeforeCaret(void);
void ClearMonAfterCaret(void);
void ClearLineBeforeCaret(void);
void ClearLineAfterCaret(void);
void ScrollUpMon(void);
void ScrollDownMon(void);
void SetScrollRangeMon(int iFrom, int iTo);
void AddLine(int iNum);
void DeleteLine(int iNum);
void DeleteChar(int iNum);
void MoveCaret(int xpos, int ypos);
void MoveCaretUpOne(void);
void MoveCaretDownOne(void);
void MoveCaretLeftTop(void);
void MoveCaretLeftOne(void);
void MoveCaretRightOne(void);
void MoveCaretNextTab(void);

int MonOutOne(char c);
int MonOutTwo(char c1, char c2);
int VoicedSoundMark(BOOL bSemiVoicedSoundMark);
int GetTerminalWindowSize(short *rows, short *cols);

BOOL AdjustTextOut(HDC hdc, int nXStart, int nYStart, LPCTSTR lpString, int cbString,
				   int iExtra1, int iExtra2);

#endif /* _MONOTOR_H */
